=== debian/changelog ===
ros-kinetic-pr2-mechanism-controllers (1.10.14-0xenial) xenial; urgency=high

  * Merge pull request #389 <https://github.com/PR2/pr2_controllers/issues/389> from k-okada/kinetic-devel
    - use Eigen3 instead of Eigen
  * use Eigen3 instead of Eigen
  * Merge pull request #388 <https://github.com/PR2/pr2_controllers/issues/388> from k-okada/add_missing_dep
    add missing dependency
  * Merge pull request #387 <https://github.com/PR2/pr2_controllers/issues/387> from k-okada/maintain
    change maintainer to ROS orphaned package maintainer
  * Merge pull request #369 <https://github.com/PR2/pr2_controllers/issues/369> from muratsevim/hydro-devel
    std namespace prefix is added to isnan calls
  * mechanism_controllers: add missing pr2_msgs dependency
  * change maintainer to ROS orphaned package maintainer
  * std namespace prefix is added to isnan calls
  * Contributors: Kei Okada, Mehmet Murat Sevim, Michael Görner

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 12 Feb 2018 15:00:00 -0000

ros-kinetic-pr2-mechanism-controllers (1.10.13-0xenial) xenial; urgency=high

  * Updated maintainership
  * Contributors: dash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 08 Feb 2015 15:00:00 -0000

ros-kinetic-pr2-mechanism-controllers (1.10.12-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 12 Jan 2015 15:00:00 -0000

ros-kinetic-pr2-mechanism-controllers (1.10.10-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 15 Dec 2014 15:00:00 -0000

ros-kinetic-pr2-mechanism-controllers (1.10.9-0xenial) xenial; urgency=high

  * Changelogs
  * Added changelogs
  * Changelogs; maintainership
  * Contributors: TheDash
  * Changelogs; maintainership
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 15 Dec 2014 15:00:00 -0000
